<div class="tituloListas">
    <h1>Lista de produtos</h1>
    <button class="btnMyFoodLista" routerLink="/cadastros/produtos/incluir" color="primary">Incluir</button>
</div>
<table mat-table [dataSource]="produtos" >

  <ng-container matColumnDef="codigo">
    <th mat-header-cell *matHeaderCellDef> Codigo </th>
    <td mat-cell *matCellDef="let produto"> {{produto.codigo}} </td>
  </ng-container>

  <ng-container matColumnDef="nome">
    <th mat-header-cell *matHeaderCellDef> Nome </th>
    <td mat-cell *matCellDef="let produto"> {{produto.nome}} </td>
  </ng-container>

  <ng-container matColumnDef="descricao">
    <th mat-header-cell *matHeaderCellDef> Descrição </th>
    <td mat-cell *matCellDef="let produto"> {{produto.desc}} </td>
  </ng-container>

  <ng-container matColumnDef="preco">
    <th mat-header-cell *matHeaderCellDef> Preço </th>
    <td mat-cell *matCellDef="let produto"> {{produto.preco}} </td>
  </ng-container>

  <ng-container matColumnDef="acoes">
    <th mat-header-cell *matHeaderCellDef style="text-align: center; padding-right: 35px"> Ações </th>
    <td class="ultima-coluna" mat-cell *matCellDef="let produto">
      <a routerLink="/cadastros/produtos/editar/{{ produto.codigo }}">Editar</a>
      <a routerLink="/cadastros/produtos/excluir/{{ produto.codigo }}">Excluir</a>
    </td>
  </ng-container>

  <tr mat-header-row *matHeaderRowDef="colunas"></tr>
  <tr mat-row *matRowDef="let row; columns: colunas;"></tr>
</table>

